Overwrite Decision
curl --request PUT \
--url https://app.onefirewall.com/api/v1/files/{digest} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"decision": "<string>"
}
'import requests
url = "https://app.onefirewall.com/api/v1/files/{digest}"
payload = { "decision": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({decision: '<string>'})
};
fetch('https://app.onefirewall.com/api/v1/files/{digest}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.onefirewall.com/api/v1/files/{digest}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'decision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.onefirewall.com/api/v1/files/{digest}"
payload := strings.NewReader("{\n \"decision\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.onefirewall.com/api/v1/files/{digest}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"decision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.onefirewall.com/api/v1/files/{digest}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"decision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.Security Binary
Overwrite Decision
PUT
/
files
/
{digest}
Overwrite Decision
curl --request PUT \
--url https://app.onefirewall.com/api/v1/files/{digest} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"decision": "<string>"
}
'import requests
url = "https://app.onefirewall.com/api/v1/files/{digest}"
payload = { "decision": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({decision: '<string>'})
};
fetch('https://app.onefirewall.com/api/v1/files/{digest}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.onefirewall.com/api/v1/files/{digest}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'decision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.onefirewall.com/api/v1/files/{digest}"
payload := strings.NewReader("{\n \"decision\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.onefirewall.com/api/v1/files/{digest}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"decision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.onefirewall.com/api/v1/files/{digest}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"decision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.Updated API documentation with live interaction is now available in the product dashboard under API Docs.
Authorizations
Authorization Token
Path Parameters
Digest value in any format from MD5,SHA1,SHA256
Body
application/json
0 for whitelist, 1 for blacklist, -1 (default) for based on score (not overwrite)
Response
200
The request was received and processed successfully, no body content

